#version 330 core
in vec4 ex_color;
in vec2 ex_screen;
out vec4 out_color;

uniform sampler2D screen;

void main(void)
{
	float eps = 0.00001;

	vec2 coord = ex_screen;
	vec4 screen = texture(screen,  coord);
	out_color = screen;

	if(ex_color.x >= 0.0 && ex_color.x <= 1.0  && ex_color.y >= 0.0 && ex_color.y <= 1.0  && ex_color.z >= 0.0 && ex_color.z <= 1.0 && length(screen.xyzw) > 0.0)	
	{
		if(ex_color.w < eps)	out_color = vec4(ex_color.x, ex_color.y, ex_color.z, 1.0);
		else		out_color = vec4(0.0);
	}
}