#version 330 core
precision mediump float;

// sampler holding texture data
uniform sampler2D colorTexture;

// fragment-shader input variables
in vec2 fragTexCoord;

// fragment-shader output variable (-> stored in the frame-buffer, i.e. "the pixel you see")
out vec4 out_color;


void main()
{       
	//get texel color
	vec4 texel = texture(colorTexture, fragTexCoord);
	out_color = texel;
}