#version 330 core
precision mediump float;

// uniform shader-parameters
uniform mat4 perspective;

// vertex-shader input variables
in vec4 vertex;
in vec2 texCoord;

// vertex-shader output variables (passed to fragment-shader)
out vec2 fragTexCoord;


void main()
{
    // transform vertex down the pipeline
    gl_Position = perspective * vertex;
    
    // pass texture coordinate to fragment-shader
    fragTexCoord = texCoord;
}