#version 330 core
uniform sampler1D color_tex;

in VertexData {
    vec4 ex_texCoord;
	flat int frontface;
} VertexIn;

out vec4 out_color;

void main(void)
{
	vec2 coord = VertexIn.ex_texCoord.xy*vec2(2.0, -2.0) + vec2(-1.0, 1.0);
	float n = dot(coord.xy,coord.xy);
	
	if(n > 1.0) discard;

	out_color = texture(color_tex, clamp(clamp(VertexIn.ex_texCoord.w+0.01, 0.05, 0.95), 0.0, 1.0)); 

	//if(VertexIn.frontface == 0) out_color.xyz *= vec3(0.1,0.1,0.1); 

	//out_color = texture(color_tex, 0.5); 
}