#version 330 core 
precision mediump float;

// sampler holding texture data
uniform int transfer;
uniform sampler3D colorTexture;
uniform sampler1D transferTexture;

// fragment-shader input variables
in vec3 fragTexCoord;

// fragment-shader output variable (-> stored in the frame-buffer, i.e. "the pixel you see")
out vec4 fragColor;


void main()
{       
    //get texel color
    vec4 intensity = texture(colorTexture, fragTexCoord);
    if (transfer == 1) 	fragColor = texture(transferTexture, intensity.w);
    else				fragColor = intensity;

	//fragColor = vec4(1.0, 1.0, 0.0, 1.0);
}