#version 330 core

uniform vec3 volumeSize;

in vec4 in_bricksMinMax;

out VertexData {
	vec4 ex_color;
} VertexOut;

void main(void)

{
	vec3 grid = vec3(volumeSize.x/16.0, volumeSize.y/16.0, volumeSize.z/16.0);

	int index = int(in_bricksMinMax.x);
	int gridx = int(volumeSize.x)/16;
	int gridy = int(volumeSize.y)/16;
	int gridz = int(volumeSize.z)/16;

	int indX = int(mod(index, gridx));		
	int indY = int(mod(index,gridx*gridy));
	    indY = indY / gridx;
	int indZ = index / (gridx*gridy); 


	vec4 inposition = vec4(float(indX), float(indY), float(indZ),1.0)
;
	inposition.xyz = inposition.xyz / grid;
	gl_Position = inposition;
	
	VertexOut.ex_color    = in_bricksMinMax;
}