#version 330 core
precision mediump float;

// uniform shader-parameters
uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

// vertex-shader input variables
in vec4 vertex;
in vec4 texCoordVolume;

// vertex-shader output variables (passed to fragment-shader)
out vec2 fragTexCoordVolume;


void main()
{
	// pass texture coordinate to fragment-shader
	fragTexCoordVolume = texCoordVolume.xy;

	// transform vertex down the pipeline
	//gl_Position = perspective * view * model * vertex;
	gl_Position = /*perspective * view * model */ vertex;
}