#version 330 core
uniform float size;

in vec4 in_position;
in vec4 in_velocity;

out VertexData {
	vec4 ex_texCoord;
	float ex_color;
} VertexOut;

void main(void)
{
	gl_PointSize = size;
	gl_Position = vec4(in_position.x,in_position.y,in_position.z,1.0);
	
	VertexOut.ex_color    = in_position.w;
	VertexOut.ex_texCoord = in_velocity;
}